<template>
  <div id="footer_second">
    <div class="container">
      <div class="row">
        <div class="col-md">
          <!-- Last updated message disabled as per https://gitlab.fokus.fraunhofer.de/viaduct/organisation/issues/615#note_93147 -->
          <!-- {{ $t('message.footer.lastUpdated') }} 11/03/2020 -->
        </div>
        <div class="col-md">
          <div class="float-md-right">
            <div class="region region-footer-second">
              <nav role="navigation" id="block-servicetools">
                <ul class="menu" id="edp3-bottom-footer">
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/newsletter/subscribe`">{{ $t('message.footer.links.newsletter') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/faq`">{{ $t('message.footer.links.faq') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/feedback/form`">{{ $t('message.footer.links.contact') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/cookies`">{{ $t('message.footer.links.cookies') }}</app-link>
                  </li>
                  <li class="menu-item">
                    <app-link :path="`/${$i18n.locale}/legal-notice`">{{ $t('message.footer.links.legalNotice') }}</app-link>
                  </li>
                  <li class="menu-item" v-if="this.$env.useAuthService && this.$env.keycloak.enableLogin">
                    <!--<a v-if="!authenticated" @click="$router.push(`/login?locale=${$i18n.locale}`)" class="nav-link px-0 py-3 py-md-1 login">{{ $t('message.header.subnav.login') }}</a>-->
                    <a href="" target="_self" v-if="!$keycloak.authenticated" @click.prevent="login()">{{ $t('message.header.subnav.login') }}</a>
                    <a href="" target="_self" v-else @click.prevent="logout()">{{ $t('message.header.subnav.logout') }}</a>
                  </li>
                </ul>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import AppLink from './AppLink';

export default {
  name: 'EDP3-footerBottom',
  components: {
    appLink: AppLink,
  },
  data() {
    return {
      authenticated: false,
    };
  },
  methods: {
    login() {
      if (this.$env.keycloak.enableLogin) {
        this.$keycloak.login();
      }
    },
    logout() {
      this.$keycloak.logoutFn();
    },
  },
};
</script>

<style lang="scss" scoped>
  @import '../../node_modules/bootstrap/scss/bootstrap.scss';
  @import '../styles/footer-second.scss';

  #edp3-bottom-footer {
  padding-left: 0px !important;

  }

</style>
